html,body{
    height:100%;
    margin:0;
}
/***布局****/
.ihh-layout{
    width:100%;
    height:100%;
    display: flex;
    overflow: hidden;
}
.ihh-layout-column{
    flex-direction: column;
}
.ihh-layout-row{
    flex-direction: row;
}
.ihh-layout .ihh-layout{
    flex:auto;
}
.ihh-content{
    flex:auto;
    position: relative;
    background: transparent;
}
.ihh-content-s{
    position:absolute;
    left:0;
    right:0;
    bottom:0;
    top:0;
}
.ihh-content-c{
    width:100%;
    height:100%;
    overflow: auto;
    position: relative;
    box-sizing: border-box;
}
.ihh-sider{
    width:16rem;
    background:#ffffff;
    transition: all .3s;
    display: flex;
    padding: 2px 0;
    flex-direction: column;
}
::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}
::-webkit-scrollbar-thumb {
    background: #c1c1c1;
    cursor: pointer;
    border-radius: 100px;
}
::-webkit-scrollbar-thumb:hover{
    background: #6a6a6a;
    cursor: pointer;
}
::-webkit-scrollbar-track {
    /*滚动条里面轨道*/
    background   :#f1f1f1;
    cursor: pointer;
    border-radius: 100px;
}
/***顶部工具条**/
.ihh-topbar{
    display: flex;
    position: relative;
}
.ihh-topbar-logo{
    align-self: stretch;
    display: flex;
    box-sizing: border-box;
    background-color: #223d70;
}
.ihh-topbar-logo .logoImg{
    width: 50px;
    display: inline-block;
}
.ihh-topbar-logo .sysName{
    font-size: 14px;
    font-weight: bold;
}

.ihh-topbar .el-form-item--mini .el-form-item__content{
    line-height: 0;
}

/**用户信息**/
.ihh-userinfo{
    display: flex;
    align-items: center;
    font-size:12px;
    cursor: pointer;
}
.ihh-userinfo>*{
    cursor: pointer;
}
.ihh-userinfo-info{
    padding-left:6px;
    cursor: pointer;
    height: 44px;
    line-height: 44px;
}
.ihh-userinfo-info label{
    cursor: pointer;
}
.ihh-multmenu{
    background:none;
    border:0;
}
.ihh-multmenu .el-menu-item, .el-submenu__title{
    height: 2.6em;
    line-height: 2.6em;
}
.el-menu--popup .el-menu-item,
.el-menu--popup  .el-submenu__title{
    height: 2.6em;
    line-height: 2.6em;
    font-size: 14px;
    display: flex;
    align-items: center;
}
.ihh-multmenu .el-menu{
    background:none;
}
.ihh-sider .ihh-multmenu .el-submenu__title,
.ihh-sider  .ihh-multmenu .el-menu-item{
    color: rgba(var(--color-default),1);
    transition: all .3s;
    margin: 0 8px;
    display: flex;
    align-items: center;
}
.ihh-sider .el-menu--collapse .el-submenu__title,
.ihh-sider .el-menu--collapse .el-menu-item{
    display: block;
}
.ihh-multmenu .el-submenu__title:focus,.ihh-multmenu .el-submenu__title:hover,
.ihh-multmenu .el-menu-item:focus, .ihh-multmenu .el-menu-item:hover  {
    outline: 0;
    background:none;
}
.ihh-multmenu .el-submenu__title i,
.ihh-multmenu .el-menu-item i{
    font-size:14px;
    margin-right: 0;
}
.ihh-multmenu .el-menu-item.is-active{
    background:#223d70;
    color: var(--color-white);
    border-radius: 8px;
}
.ihh-multmenu .is-active.is-opened{
    background: #ffffff;
}
.ihh-multmenu .is-active{
    position: relative;
}

.ihh-page-layout{
    width:100%;
    height:100%;
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    gap: 10px;
}
.ihh-page-layout> *:first-child{
    /*margin-top:10px;*/
}
.ihh-page-layout-action{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: var(--gap-10);
}
.ihh-page-layout-body{
    flex:auto;
    position: relative;
}
.ihh-page-layout-body .el-loading-mask{
    z-index: 10;
}
.search-form .el-form-item{
    margin-bottom: 10px;
}

.ihh-page-layout-title{
    padding-bottom:10px;
    padding-top:10px;
    margin-bottom:10px;
    border-bottom:1px solid #ddd;
}
.ihh-page-layout-search{
    background-color: var(--color-white);
    box-sizing: border-box;
    padding: 10px 10px 0 10px;
    border-radius: var(--border-4);
}
.ihh-page-layout-container{
    flex: 1;
    height: 0;
    background-color: var(--color-white);
    border-radius: var(--border-4);
    display: flex;
    flex-direction: column;
    overflow: hidden;
    padding: var(--gap-10);
}
.linkage-form-item-s{
    font-size: 12px;
}
.linkage-form-item-f{
    line-height: 10px;
}
.ihh-page-layout-pager{
    text-align: right;
    margin-top: var(--gap-5);
}
.flex-con-s{
    position: absolute;
    left:0;
    top:0;
    right:0;
    bottom:0;
}
.flex-con{
    position: relative;
    width:100%;
    height:100%;
    overflow: auto;
}

.flex-table{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}
.flex-table
.el-table__header-wrapper{
    flex-grow: 0;
    flex-shrink: 0;
    background:#f7f7f9;
}
.flex-table
.el-table__header-wrapper th, .flex-table
.el-table__header-wrapper tr{
    background:#F6F8FA;
}
.flex-table.el-table thead{
    color: #21252E;
    font-weight: 300;
}
.flex-table.el-table td.el-table__cell, .el-table th.el-table__cell.is-leaf{
    border-bottom:1px solid  #EBEBEB;
}
.el-menu--collapse{
    width: 58px !important;
}
.el-menu--collapse .el-submenu__title, .el-menu--collapse .el-menu-item{
    padding-left: 10px !important;
}
.flex-table .el-table__body-wrapper{
    flex:auto;
    overflow: auto;
}

.el-table .caret-wrapper{
    height: 24px;
}
.el-table .sort-caret.ascending{
    top:0;
}
.el-table .sort-caret.descending{
    bottom: 0;
}
.page-tabs.el-tabs--card .el-tabs__item.is-active{
    background: #223d70;
    color: #ffffff;
}
.page-tabs.el-tabs--card > .el-tabs__header .el-tabs__item.is-active.is-closable{
    padding: 0 10px !important;
}
.page-tabs.el-tabs--card > .el-tabs__header .el-tabs__item.is-active.is-closable .el-icon-close{
    top: -2px;
}

.ihh-flex-columns{
    display: flex;
    flex-direction: column;
    width:100%;
}
.ihh-flex-columns-auto{
    flex:auto;
    position: relative;
}

.ihh-flex-columns-auto-s{
    position:absolute;
    left:0;
    right:0;
    bottom:0;
    top:0;
    overflow: auto;
}

.form-body-container .el-form-item__label{
    font-size: 12px;
    line-height: 12px;
    padding-bottom: 6px;
}
.el-dialog__wrapper{
    display: flex;
    align-items: center;
    justify-content: center;
}
.el-textarea__inner{
    font-family:"Noto Sans SC",HarmonyOS Sans SC, "Helvetica Neue",Helvetica,"PingFang SC","Hiragino Sans GB","Microsoft YaHei","微软雅黑",Arial,sans-serif;
}
.master-select-body .el-select-dropdown__item{
    font-size: 12px;
    line-height: 30px;
    height: 30px;
    padding: 0 15px;
}
.master-select-body .el-select-dropdown__empty{
    font-size: 12px;
}
.popper-select-tree-mini .el-tree .el-tree-node__content{
    font-size: 12px;
}
.el-message{
  min-width: auto;
}
.el-image-viewer__actions{
    overflow: hidden;
}
.el-image-viewer__close{
    background-color: transparent;
}
